Subject: Re: bug#47128: 28.0.50; Be more helpful regarding message-syntax-checks
From: Eric Abrahamsen <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked]
Date: Tue, 13 Apr 2021 08:46:35 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 04/13/21 09:47 AM, Lars Ingebrigtsen wrote:
> Eric Abrahamsen <[email-masked]> writes:
>
>>> What would be even better is to obsolete this in favor of a new
>>> `message-disabled-syntax-checks' option that was simply a plain list of
>>> symbols.
>>
>> I feel like this is fairly uncontroversial -- does anyone have any
>> objections? I may just go ahead and push, otherwise. (I've since tweaked
>> the patch so that `message-syntax-checks' belongs to the
>> 'message-headers group, in line with the other changes.)
>
> The patch looks fine to me -- obsoleting the variable in favour of an
> opposite variable doesn't seem to be optimal, though.

That's fine, it wasn't a big deal -- it just seemed oddly verbose to
require the 'disabled symbol, when 'disabled the only viable option. But
no actual harm in it, of course.

Closing this now...